# Paper reviews

!!! attention
    * Paper reviews are for students in time zones who **cannot** attend live
      lectures.
    * Students who are able to attend live lectures are required to complete a
      paper presentation and presentation summary instead.

Starting from the first week of paper presentations (**September 14**), students
who cannot attend live lectures will complete **two paper reviews per week**,
**16** in all. We will be using HotCRP---standard conference management
software---to manage reviews. Reviews must be uploaded **before the paper is
presented in class**.

The HotCRP instance for this course is available here:

- <https://wisc-cs763-20.hotcrp.com/>

## What makes a good review?

A good review accomplishes several things:

- It **summarizes** the main contributions of the paper.
- It highlights **strengths and weaknesses** of the paper. Note that these
  points do not need to be purely technical.
- It **evaluates** the paper, explaining why the reviewer thinks the paper is
  strong or weak, interesting or not interesting.
- It gives authors **suggestions to improve** the paper.

## FAQ

- **Can I switch from doing paper presentation/summary to paper reviews or vice versa?**

No: if you are doing paper reviews, you must let me know on the first week of
class so that I can add you as a reviewer to HotCRP.

- **How long should reviews be?**

You should aim for around 400 words, total. We will not be counting words, but
if your review is three sentences long we will probably not be too happy.

- **Are late reviews accepted?**

No: reviews must be uploaded before the paper is presented in class.

- **Can I submit more than two reviews a week?**

No: should submit exactly two reviews per week.

- **I was not sure how to evaluate the paper: what should I do?**

You should say so, and explain the strengths and weaknesses of the paper.

- **It takes me too much time to read through two papers. What should I do?**

Given the short reviewing schedule, you will not have time to read through every
single word in every single paper. Instead, you should skim over parts that are
not so crucial. More concretely, you should do the first **two passes** of the
three-pass system described
[here](http://ccr.sigcomm.org/online/files/p83-keshavA.pdf)---the third pass is
**not** required.

- **I found a review of the paper online. Can I look at it for inspiration?**

Definitely not: doing so is an academic honesty violation. Anyways, there is
absolutely right or wrong conclusion when reviewing a paper---the idea is to
give **your opinion** of the paper based on **your understanding**, and then
argue why your opinion is correct.
